API references
Merchant API

Authorize a requested contact payout

Contact payouts can require authorization by a second user before being processed.

Merchant settings that affect this functionality: - payout_contact_authorization_required: Whether this authorization is required or not. If not, contact payouts are sent immediately. - payout_allow_self_authorization: Whether this authorization can be performed by the same user who requested the payout. If not, the payout must be authorized by a different user. - payout_skip_authorization_for_api_key: When set to true, contact payouts initiated with a merchant API key will not require authorization.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/authorize-payout HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
payout_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
payout_id string

Required. The unique identifier of the payout to authorize. Can be either the payout UID or the external ID.

Errors specific to this endpoint
NOT_FOUND

This error occurs when no payout with the provided ID exists in your merchant account. Double check that you're using the correct payout ID.

NOT_AUTHORIZABLE

This error occurs when the payout does not require authorization or is not in requested state.

FORBIDDEN

This error occurs when self-authorization is disabled and the requesting user attempts to authorize their own payout.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.